> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a login request to get an authentication token

> Verify the user accepted the login request and get a authentication token. The user email address and the token received after requesting the login must be added to the URL as a query string with the names email and token.



## OpenAPI

````yaml GET /auth/verify
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /auth/verify:
    get:
      tags:
        - authentication
      description: >-
        Verify the user accepted the login request and get an authentication
        token. The user email address and the token received after requesting
        the login must be added to the URL as a query string with the names
        `email` and `token`.
      parameters:
        - schema:
            type: string
            format: email
          required: false
          name: email
          in: query
        - schema:
            type: string
          required: true
          name: token
          in: query
      responses:
        '200':
          description: The verification was successful.
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                  email:
                    type: string
                  teamId:
                    type: string
                    description: >-
                      The Team identifier or Team slug to perform the request on
                      behalf of.
                    query:
                      name: teamId
                      in: query
                    example: team_xbtegd63gdg5636gdg
                required:
                  - token
                  - email
                  - teamId
                description: The verification was successful.
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '403':
          description: You do not have permission to access this resource.
        '404':
          description: The authentication was not found
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````